### Class

# Snapd NoticesMonitor

since: 1.66

#### Description [src]

    final class Snapd.NoticesMonitor : GObject.Object
    {
      /* No available fields */
    }

`SnapdNoticesMonitor` allows to receive in real time events from snapd, like status changes in an ongoing refresh, inhibited refreshes due to the snap being active, or inhibited launches due to an ongoing refresh.

Available since: 1.66

#### Ancestors

- GObject

#### Constructors

###### snapd_notices_monitor_new

Creates a new `SnapdNoticesMonitor` to receive events.

since: 1.66

###### snapd_notices_monitor_new_with_client

Creates a new `SnapdNoticesMonitor` to receive events, using the specified `SnapdClient` object to ask info about each task.

since: 1.66

#### Instance methods

###### snapd_notices_monitor_start

Starts the asynchronous listening proccess, that will wait for new notices and emit a “notice-event” signal with the new notice as parameter.

since: 1.66

###### snapd_notices_monitor_stop

Stops the asynchronous listening proccess started with

# snapd_notices_monitor_start.

since: 1.66

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Snapd.NoticesMonitor:client

No description available.

#### Signals

###### Snapd.NoticesMonitor::error-event

No description available.

###### Snapd.NoticesMonitor::notice-event

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct SnapdNoticesMonitorClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.